local name, realm = UnitName("Player")
local lvl = UnitLevel("Player")

local SetCVars = function()
    SetCVar("Sound_NumChannels", 128)
    SetCVar("violenceLevel", 5)
    SetCVar("cameraDistanceMaxZoomFactor", 2.6)
    SetCVar("screenshotQuality", 10)
    SetCVar("autoLootDefault", 1)
    SetCVar("showTutorials", 0)
end

SetCVars()
print("|cffff7d0aTaddie UI v0.3|r loaded for " .. name .. " Level: " .. lvl)
name = nil
realm = nil
collectgarbage("collect")

tUI = {};
tUI.panel = CreateFrame( "Frame", "TaddieUI", InterfaceOptionsFramePanelContainer );
-- Register in the Interface Addon Options GUI
-- Set the name for the Category for the Options Panel
tUI.panel.name = "TaddieUI";
local title = tUI.panel:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("TaddieUI")

local subtitle = tUI.panel:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
    subtitle:SetHeight(35)
    subtitle:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -8)
    subtitle:SetPoint("RIGHT", frame, -32, 0)
    subtitle:SetNonSpaceWrap(true)
    subtitle:SetJustifyH("LEFT")
    subtitle:SetJustifyV("TOP")
    subtitle:SetText("|cffff7d0aTaddieUI|r Version 0.3 by Taddie-Onyxia")

local texture = tUI.panel:CreateTexture()
    texture:SetTexture([[Interface\Addons\TaddieUI\assets\taddieui.blp]])
    texture:SetPoint("CENTER") -- this is relative to the frame created above, unless an anchor frame is given
    texture:SetSize(256, 256)

-- Add the panel to the Interface Options
InterfaceOptions_AddCategory(tUI.panel);

-- Make a child panel
tUI.childpanel = CreateFrame( "Frame", "Options", InterfaceOptionsFramePanelContainer);
tUI.childpanel.name = "Options";
-- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
tUI.childpanel.parent = tUI.panel.name;
local title = tUI.childpanel:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("TaddieUI Options")

local subtitle = tUI.childpanel:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
    subtitle:SetHeight(35)
    subtitle:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -8)
    subtitle:SetPoint("RIGHT", frame, -32, 0)
    subtitle:SetNonSpaceWrap(true)
    subtitle:SetJustifyH("LEFT")
    subtitle:SetJustifyV("TOP")
    subtitle:SetText("No Options yet.")

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(tUI.childpanel);

if lvl < 2 then
-- hook Cinematic Frame and Cancel all Videos below Char lvl 2 or until logout above lvl 2
CinematicFrame:HookScript("OnShow", function(self, ...)
  CinematicFrame_CancelCinematic()
end)
end
lvl = nil